summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss@sss.chaoslab.ru>2018-06-12 11:11:53 +0300
committerGluzskiy Alexandr <sss@sss.chaoslab.ru>2018-06-12 11:11:53 +0300
commitafc29537521b75cadae384e33899656c98fd3a30 (patch)
tree08bafe24e904fba3359539adbfb685432854c5f5
parenta06e86deb02d3cd56ab2caeae412904240f62fb7 (diff)
gnupod-scm
-rw-r--r--app-pda/gnupod/gnupod-scm.ebuild57
-rw-r--r--app-pda/gnupod/metadata.xml5
2 files changed, 62 insertions, 0 deletions
diff --git a/app-pda/gnupod/gnupod-scm.ebuild b/app-pda/gnupod/gnupod-scm.ebuild
new file mode 100644
index 0000000..7174066
--- /dev/null
+++ b/app-pda/gnupod/gnupod-scm.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit perl-module git-r3 autotools
+
+DESCRIPTION="A collection of Perl-scripts for iPod"
+HOMEPAGE="https://www.gnu.org/software/gnupod/"
+SRC_URI=""
+EGIT_REPO_URI="git://git.savannah.gnu.org/gnupod.git"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE="aac ffmpeg flac mp3 ogg"
+
+RDEPEND="dev-perl/TimeDate
+ dev-perl/XML-Parser
+ >=dev-perl/MP3-Info-1.01
+ dev-perl/Unicode-String
+ dev-perl/Digest-SHA1
+ dev-perl/libwww-perl
+ ffmpeg? ( virtual/ffmpeg )
+ flac? ( dev-perl/Audio-FLAC-Header
+ media-libs/flac
+ aac? ( >=media-libs/faac-1.24 )
+ mp3? ( media-sound/lame )
+ !aac? ( media-sound/lame ) )
+ ogg? ( dev-perl/Ogg-Vorbis-Header-PurePerl
+ media-sound/vorbis-tools
+ aac? ( >=media-libs/faac-1.24 )
+ mp3? ( media-sound/lame )
+ !aac? ( media-sound/lame ) )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ eautoreconf
+}
+src_configure() {
+ econf
+}
+
+src_compile() {
+ :;
+}
+
+src_install() {
+ perl_set_version
+ sed -i -e "s:\$INC\[0\]/\$modi:${VENDOR_ARCH}/\$modi:g" \
+ tools/gnupod_install.pl || die
+
+ emake DESTDIR="${D}" install
+
+ dodoc CHANGES README* doc/gnupodrc.example doc/gnutunesdb.example
+ dohtml doc/gnupod.html
+}
diff --git a/app-pda/gnupod/metadata.xml b/app-pda/gnupod/metadata.xml
new file mode 100644
index 0000000..6f49eba
--- /dev/null
+++ b/app-pda/gnupod/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<!-- maintainer-needed -->
+</pkgmetadata>